#
# spec file for package netacct
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           netacct
Version:        0.71
Release:        661.5
Summary:        Network Accounting
License:        GPL-2.0+
Group:          Productivity/Networking/Diagnostic
Url:            http://exorsus.net/projects/net-acct/
Source:         net-acct_%{version}.tar.bz2
Source1:        nacctd.8
Patch:          net-acct_%{version}.dif
Patch1:         net-acct-0.71-glibc2-optflags.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       net-acct

%description
This package logs network traffic. It provides a daemon (nacctd) that
logs all traffic passing through the machine it runs on (similar to
what tcpdump does).

%prep
%setup -q -n net-acct-%{version}-glibc2
chmod a-x tools/* contrib/*
%patch
%patch1

%build
cd src
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
make %{?_smp_mflags}

%install
install -d -m 755 $RPM_BUILD_ROOT{/usr/sbin,/etc,%{_mandir}/man8}
install -m 644 %{S:1} $RPM_BUILD_ROOT/%{_mandir}/man8
cd src
install -m 644 naccttab.sample $RPM_BUILD_ROOT/etc/naccttab
install -m 644 naccttab.sample.pcap $RPM_BUILD_ROOT/etc/naccttab.pcap
install -m 755 nacctd $RPM_BUILD_ROOT/usr/sbin

%files
%defattr(-,root,root)
/usr/sbin/nacctd
%config /etc/naccttab
%config /etc/naccttab.pcap
%doc CHANGES COPYING README contrib tools
%{_mandir}/man8/*

%changelog
* Wed Oct  8 2014 jengelh@inai.de
- Enable parallel build and remove old specfile tags/sections
* Wed Aug 31 2011 coolo@suse.com
- remove x byte from documentation
* Fri May 23 2008 crrodriguez@suse.de
- use RPM_OPT_FLAGS
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Feb 10 2004 postadal@suse.cz
- added nacctd.8 man page
- bziped tarball
- cleaned specfile
* Thu Jul 26 2001 cihlar@suse.cz
- added BuildRoot
- fixed includes
* Wed May  9 2001 ray@suse.de
- update to v 0.71
* Tue Apr 10 2001 ro@suse.de
- added group tag
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Nov 16 1998 ro@suse.de
- include asm/types for glibc (to get __u32)
* Tue Oct  6 1998 ro@suse.de
- use correct includes for glibc
* Fri May 15 1998 ray@suse.de
- fix package name
* Sat May  9 1998 ray@suse.de
- new package netacct-0.4
